# Asterisk Project : Asterisk 13 Function_SPEECH

Created by wikibot on Aug 08, 2014

# SPEECH()

### Synopsis

Gets information about speech recognition results.

### Description

Gets information about speech recognition results.

### Syntax

    SPEECH(argument)

##### Arguments

- `argument`
  - `status` - Returns `1` upon speech object existing, or `0` if not
  - `spoke` - Returns `1` if spoker spoke, or `0` if not
  - `results` - Returns number of results that were recognized.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538